#ifndef __ADDMEMORYFORM_H__
#define __ADDMEMORYFORM_H__
#include <QWidget>
#include <QtSql>
#include <QtGui>
#include "ui_addmemoryform.h"
// place your code here
class addmemoryForm : public QWidget, public Ui::addmemoryForm
{
Q_OBJECT
	public:
	addmemoryForm();
//	addmemoryForm(QTreeWidgetItem * currItem);
	QStringList getManufacturiesList();
	QStringList getManufacturiesListMB();
	QStringList getManufacturiesListHDD();
	QStringList getManufacturiesListCPU();
	QStringList getManufacturiesListVIDEO();
	QStringList getModelListMB(QString proizvoditel);
	QStringList getModelListCPU(QString proizvoditel);
	QStringList getModelListVIDEO(QString proizvoditel);
	QStringList getSystemBlockList();
	QStringList getSystemBlockList(QString inventar_num);
	QString getUserInfo(QString userID);
	QString getOtdelName(QString otdelID);
	QString getIdentifikator(QString inventar_num);
	void initTreeWidgrt();
	void SotrydnikiOtdela(QString id_otdela, QTreeWidgetItem * itemOtdela); //   

//public slots:
//	void hide();

signals:
	void componentAdd();
	void formClose();
	
private slots:
	void on_pushButton_clicked();
	void on_comboBox_5_currentIndexChanged (QString newText);  
	void on_comboBox_9_currentIndexChanged (QString newText);  
	void on_comboBox_19_currentIndexChanged (QString newText);  
private:
	void add_video_proizvoditel(QString brend);
	void add_mem_proizvoditel(QString brend);
	void add_mb_proizvoditel(QString brend);
	void add_cpu_proizvoditel(QString brend);
	void add_hdd_proizvoditel(QString brend);
	void add_mb_model (QString brend, QString model);
	void add_cpu_model (QString brend, QString model);
	void add_video_model (QString brend, QString model);
protected:
	void closeEvent( QCloseEvent * event ); 


};
#endif // __ADDMEMORYFORM_H__
